org.apache.cassandra.config

## Class ColumnDefinition.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable.Raw
  - - org.apache.cassandra.config.ColumnDefinition.Raw

Enclosing class:
  ColumnDefinition

    public abstract static class ColumnDefinition.Raw
    extends Selectable.Raw

Because Thrift-created tables may have a non-text comparator, we cannot determine the proper 'key' until we know the comparator. ColumnDefinition.Raw is a placeholder that can be converted to a real ColumnIdentifier once the comparator is known with prepare(). This should only be used with identifiers that are actual column names. See CASSANDRA-8178 for more background.

### Constructor Summary

Constructors
Constructor and Description
`Raw()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`static ColumnDefinition.Raw` `forColumn(ColumnDefinition column)` Creates a `ColumnDefinition.Raw` from a pre-existing `ColumnDefinition` (useful in the rare cases where we already have the column but need a `ColumnDefinition.Raw` for typing purposes).
`static ColumnDefinition.Raw` `forQuoted(java.lang.String text)` Creates a `ColumnDefinition.Raw` from a quoted identifier string.
`static ColumnDefinition.Raw` `forUnquoted(java.lang.String text)` Creates a `ColumnDefinition.Raw` from an unquoted identifier string.
`abstract ColumnIdentifier` `getIdentifier(CFMetaData cfm)` Get the identifier corresponding to this raw column, without assuming this is an existing column (unlike `prepare(org.apache.cassandra.config.CFMetaData)`).
`int` `hashCode()`
`abstract ColumnDefinition` `prepare(CFMetaData cfm)`
`boolean` `processesSelection()` Returns true if any processing is performed on the selected column.
`abstract java.lang.String` `rawText()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Raw

    public Raw()

### Method Detail

#### forUnquoted

    public static ColumnDefinition.Raw forUnquoted(java.lang.String text)

Creates a `ColumnDefinition.Raw` from an unquoted identifier string.

#### forQuoted

    public static ColumnDefinition.Raw forQuoted(java.lang.String text)

Creates a `ColumnDefinition.Raw` from a quoted identifier string.

#### forColumn

    public static ColumnDefinition.Raw forColumn(ColumnDefinition column)

Creates a `ColumnDefinition.Raw` from a pre-existing `ColumnDefinition` (useful in the rare cases where we already have the column but need a `ColumnDefinition.Raw` for typing purposes).

#### getIdentifier

    public abstract ColumnIdentifier getIdentifier(CFMetaData cfm)

Get the identifier corresponding to this raw column, without assuming this is an existing column (unlike `prepare(org.apache.cassandra.config.CFMetaData)`).

#### rawText

    public abstract java.lang.String rawText()

#### prepare

    public abstract ColumnDefinition prepare(CFMetaData cfm)

Specified by:
  `prepare` in class `Selectable.Raw`

#### processesSelection

    public boolean processesSelection()

Description copied from class: `Selectable.Raw`
Returns true if any processing is performed on the selected column.

Overrides:
  `processesSelection` in class `Selectable.Raw`

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public final boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`